document.addEventListener('DOMContentLoaded', function () {
new Splide( '#first-slider',{
  type   : 'loop',
  drag   : 'free',
  focus  : 'center',
  
  arrows: false,
  
  autoScroll: {
    speed: 1,
  },

  grid: {
		rows: 2,
		cols: 3,
    padding: '20%',
    gap : {
			row: '.5rem',
			
		},
		
  },

  breakpoints: {
    1200: {        
      fixedWidth : '12rem',
      fixedHeight: '20rem',
      autoScroll: {
        speed: 4,
      },
      grid   : {
        rows: 2,
		   cols: 1,
    

      },
    },
    640: {     
      perPage: 1,
      fixedWidth : '12rem',
      fixedHeight: '10rem',
      autoScroll: {
        speed: 2,
      },
      grid   : {
        rows: 1,
		   cols: 1,
    
      },
    },
  },
}
 )
.mount( window.splide.Extensions );
});

//*second slide

document.addEventListener('DOMContentLoaded', function () {
  new Splide('#featured-product', {
    perPage: 4,
    perMove: 1,
    gap: "2rem",
    pagination: false,
    breakpoints: {
      450: {
        perPage: 1,
      },
    },  
  }).mount();
});

//*third slide

document.addEventListener('DOMContentLoaded', function () {
  new Splide('#third-product', {
    perPage: 4,
    perMove: 1,
    gap: "2rem",
    pagination: false,
    breakpoints: {
      450: {
        perPage: 1,
      },
    },  
  }).mount();
});

//*category slide

document.addEventListener('DOMContentLoaded', function () {
  new Splide('#category-first', {
    fixedWidth : '15rem',
    fixedHeight: '19rem',
    perMove: 1,
    gap: "4rem",
    pagination: false,
    breakpoints: {
      450: {
        fixedWidth : '8rem',
        fixedHeight: '11rem',
        gap: "1rem",
      },
    },  
  }).mount();
});

//*category second slide

document.addEventListener('DOMContentLoaded', function () {
  new Splide('#category-second', {
    fixedWidth : '15rem',
    fixedHeight: '19rem',
    perMove: 1,
    gap: "4rem",
    pagination: false,
    breakpoints: {
      450: {
        fixedWidth : '8rem',
        fixedHeight: '11rem',
        gap: "1rem",
      },
    },  
  }).mount();
});

//*details  slide

document.addEventListener('DOMContentLoaded', function () {
  new Splide('#details-first', {
    fixedWidth : '21rem',
    fixedHeight: '30rem',

    perMove: 1,
    gap: "4rem",
    pagination: false,
    breakpoints: {
      450: {
        fixedWidth : '40vw',
        fixedHeight: '15rem',
        gap: "1rem",
      },
    },  
  }).mount();
});